// priority: 0

// Visit the wiki for more info - https://kubejs.com/
  
ServerEvents.recipes(event => {
    
  //AE2

  event.custom({type: "ae2:inscriber",ingredients: {
    middle: {tag: "forge:dusts/redstone"}, 
    top: {item: "refinedstorage:raw_basic_processor"}, 
    bottom: {item: "ae2:printed_silicon"}},
    mode: "press",
    result: {item: "refinedstorage:basic_processor"
    }
  }).id('refinedstorage:basic_processor')


  event.custom({type: "ae2:inscriber",ingredients: {
    middle: {tag: "forge:dusts/redstone"}, 
    top: {item: "refinedstorage:raw_improved_processor"}, 
    bottom: {item: "ae2:printed_silicon"}},
    mode: "press",
    result: {item: "refinedstorage:improved_processor"
    }
  }).id('refinedstorage:improved_processor')


  event.custom({type: "ae2:inscriber",ingredients: {
    middle: {tag: "forge:dusts/redstone"}, 
    top: {item: "refinedstorage:raw_advanced_processor"}, 
    bottom: {item: "ae2:printed_silicon"}},
    mode: "press",
    result: {item: "refinedstorage:advanced_processor"
    }
  }).id('refinedstorage:advanced_processor')


  event.replaceInput({mod: 'ae2'}, 'ae2:logic_processor', 'refinedstorage:basic_processor');
  event.replaceInput({mod: 'ae2'}, 'ae2:calculation_processor', 'refinedstorage:improved_processor');
  event.replaceInput({mod: 'ae2'}, 'ae2:engineering_processor', 'refinedstorage:advanced_processor');

  event.replaceInput({mod: 'ae2wtlib'}, 'ae2:logic_processor', 'refinedstorage:basic_processor');
  event.replaceInput({mod: 'ae2wtlib'}, 'ae2:calculation_processor', 'refinedstorage:improved_processor');
  event.replaceInput({mod: 'ae2wtlib'}, 'ae2:engineering_processor', 'refinedstorage:advanced_processor');

  event.replaceInput({mod: 'expatternprovider'}, 'ae2:logic_processor', 'refinedstorage:basic_processor');
  event.replaceInput({mod: 'expatternprovider'}, 'ae2:calculation_processor', 'refinedstorage:improved_processor');
  event.replaceInput({mod: 'expatternprovider'}, 'ae2:engineering_processor', 'refinedstorage:advanced_processor');

  event.replaceInput({mod: 'merequester'}, 'ae2:logic_processor', 'refinedstorage:basic_processor');
  event.replaceInput({mod: 'merequester'}, 'ae2:calculation_processor', 'refinedstorage:improved_processor');
  event.replaceInput({mod: 'merequester'}, 'ae2:engineering_processor', 'refinedstorage:advanced_processor');


  event.replaceInput({id: 'refinedstorage:construction_core'}, 'minecraft:glowstone_dust', 'integrateddynamics:crystalized_menril_chunk');


  event.shaped('2x desertopolis:silicon_blend', ['SSS', 'GQG', 'SSS'], {S:'#forge:sand', G: gold_nugget, Q: quartz}).id('deseropolis:silicon_blend')
  event.custom({type: "ae2:charger", ingredient: {item: 'desertopolis:silicon_blend'}, result: {item: "refinedstorage:silicon"}}).id('desertopolis:silicon')
  event.replaceInput({id: 'refinedstorage:raw_advanced_processor'}, diamond,'integrateddynamics:crystalized_menril_block');

  event.shaped('5x refinedstorage:quartz_enriched_iron', ['III', 'BQB', 'III'], {B:'desertopolis:silicon_blend', I: iron_ingot, Q: quartz}).id('refinedstorage:quartz_enriched_iron')
  event.shaped('5x ae2:certus_quartz_crystal', ['III', 'BQB', 'III'], {B:'desertopolis:silicon_blend', I: redstone, Q: quartz}).id('deseropolis:certus_quartz_crystal')


  event.remove({output:'#forge:silicon'})
})

